This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 438784 - problems restarting nouveau driver
problems restarting nouveau driver
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 03:19 EDT by Jens Petersen
Modified: 2009-07-03 20:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 20:06:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (85.88 KB, text/plain)
2008-03-25 03:20 EDT, Jens Petersen
no flags Details
X11 crash log with nouveau driver (30.04 KB, text/plain)
2009-03-03 08:42 EST, Steven Bakker
no flags Details

  None (edit)
Description Jens Petersen 2008-03-25 03:19:44 EDT
Description of problem:
nouveau driver seems to stop X restarting after exiting X desktop session.

How reproducible:
every time

Steps to Reproduce:
1. start gnome/kde
2. exit session
  
Actual results:
X no longer starts or kernel oops sometimes.

Expected results:
no crash

Additional info:
Attaching log file below.
Comment 1 Jens Petersen 2008-03-25 03:20:40 EDT
Created attachment 298979 [details]
Xorg.0.log
Comment 2 Jens Petersen 2008-03-25 03:21:24 EDT
(workaround is using default nv driver)
Comment 3 Jens Petersen 2008-03-25 03:25:08 EDT
(In reply to comment #0)
> ... or kernel oops sometimes.

Actually no oops, seems X may be hanging rather.
Comment 4 Robert Laverick 2008-05-13 20:31:09 EDT
I can confirm this problem.  Nouveau will only work once per reboot.  If you
reboot with the nouveau driver enabled in xorg.conf then the boot progress x
server instance counts as the working one, and then that is killed ready for the
kde login manager then x will crash out.  the only way to get it to work is to
use the nv driver, and to switch to nouveau after boot up, where it seems to
work perfectly until the x server is restarted on log out.

Interestingly switching from nouveau to nv after it has failed to restart will
not resurrect the x server and I have to reboot to get it working again.

I've tried compiling the drm and an nouveau modules and the nouveau driver from
their separate git trees without any change to this problem.
Comment 5 Bug Zapper 2008-05-14 02:49:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Steven Bakker 2009-03-03 08:41:19 EST
Can the version also be changed to "10"? This bug is still present on my Fedora 10 system. I'll attach my Xorg.0.log as well.

X.Org X Server 1.5.3
kernel: 2.6.27.15-170.2.24.fc10.i686
Comment 8 Steven Bakker 2009-03-03 08:42:04 EST
Created attachment 333874 [details]
X11 crash log with nouveau driver
Comment 9 Nicola Soranzo 2009-03-03 08:54:40 EST
(In reply to comment #7)
> Can the version also be changed to "10"? This bug is still present on my Fedora
> 10 system.

Done.
Comment 10 Ben Skeggs 2009-04-09 02:22:38 EDT
Are you able to try F11 by any chance?  This should hopefully work OK there.
Comment 11 Nicola Soranzo 2009-07-03 20:06:21 EDT
I can confirm it works in Fedora 11, closing.

Note You need to log in before you can comment on or make changes to this bug.